# CLI_PROP_ITEM | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLI_PROP_ITEM

## Index

### Properties

- name
- pattern
- realtype
- type

## Properties

### name

name: string

- Defined in packages/cli/src/argparse.ts:115

### Optional pattern

pattern: undefined | string

- Defined in packages/cli/src/argparse.ts:118

### realtype

realtype: string

- Defined in packages/cli/src/argparse.ts:117

### type

type: "string"

- Defined in packages/cli/src/argparse.ts:116

Generated using TypeDoc